@echo off

echo ------------------------------------------
echo    Script, um OMSI Dateien zu kopieren
echo ------------------------------------------
echo .

if not exist Fonts\ANX_L_Alpha.bmp goto notexists

if not exist Vehicles\Solaris_U_15\Script\doordar_3door_edition.osc goto notexists
if not exist Vehicles\Solaris_U_15\Script\doordar_2door_edition.osc goto notexists
if not exist Vehicles\Solaris_U_15\Script\door_varlist.txt goto notexists
if not exist Vehicles\Solaris_U_15\Script\IBIS_varlist.txt goto notexists
if not exist Vehicles\Solaris_U_15\Script\IBIS-2.osc goto notexists

if not exist Vehicles\Man_Lion_City\Script\doordar2_mit_hstbremse.osc goto notexists
if not exist Vehicles\Man_Lion_City\Script\doordar2_ohne_hstbremse.osc goto notexists
if not exist Vehicles\Man_Lion_City\Script\door_varlist2.txt goto notexists
if not exist Vehicles\Man_Lion_City\Script\IBIS_varlist.txt goto notexists
if not exist Vehicles\Man_Lion_City\Script\IBIS-2.osc goto notexists
if not exist Vehicles\Man_Lion_City\Script\Matrix.osc goto notexists

if not exist Vehicles\Man_Lion_City\Sound\request.wav goto notexists

if not exist Vehicles\Man_Lion_City\Model\passengercabin_Lion.cfg goto notexists
if not exist Vehicles\Man_Lion_City\Model\paths_Lion.cfg goto notexists

choice /c:JN /m "Backups erstellen (Ja/Nein)? "
if errorlevel 1 set backup=ja
if errorlevel 2 set backup=nein

set /p omsidir=Bitte Pfad zum OMSI-Verzeichnis eingeben: 

if not exist %omsidir%\Omsi.exe goto wrongdir

cd Fonts
if %backup%==ja rename %omsidir%\Fonts\ANX_L_Alpha.bmp ANX_L_Alpha_BACKUP.bmp
copy ANX_L_Alpha.bmp %omsidir%\Fonts\ANX_L_Alpha.bmp /Y
 
cd ..

choice /c:JN /m "Wiener Mod fuer den Urbino 15 installieren (Ja/Nein)? "
if errorlevel 1 set urbino=ja
if errorlevel 2 set urbino=nein

if %urbino%==nein goto lionscity

choice /c:23 /m "Variante installieren, die nur 2 Tueren oeffnet oder die fuer alle 3 Tueren fuer den Urbino 15 (2 Tueren/3 Tueren)? "
if errorlevel 1 set variante=2tuer
if errorlevel 2 set variante=3tuer

cd Vehicles\Solaris_U_15\Script
if %backup%==ja rename %omsidir%\Vehicles\Solaris_U_15\Script\IBIS-2.osc IBIS-2_BACKUP.osc
copy IBIS-2.osc %omsidir%\Vehicles\Solaris_U_15\Script\IBIS-2.osc /Y

if %backup%==ja rename %omsidir%\Vehicles\Solaris_U_15\Script\IBIS_varlist.txt IBIS_varlist_BACKUP.txt
copy IBIS_varlist.txt %omsidir%\Vehicles\Solaris_U_15\Script\IBIS_varlist.txt /Y

if %backup%==ja rename %omsidir%\Vehicles\Solaris_U_15\Script\door_varlist.txt door_varlist_BACKUP.txt
copy door_varlist.txt %omsidir%\Vehicles\Solaris_U_15\Script\door_varlist.txt /Y

if %backup%==ja rename %omsidir%\Vehicles\Solaris_U_15\Script\doordar.osc doordar_BACKUP.osc

if %variante%==2tuer copy doordar_2door_edition.osc %omsidir%\Vehicles\Solaris_U_15\Script\doordar.osc /Y
if %variante%==3tuer copy doordar_3door_edition.osc %omsidir%\Vehicles\Solaris_U_15\Script\doordar.osc /Y
cd ..\..\..

:lionscity
choice /c:JN /m "Wiener Mod fuer den Lions City installieren (Ja/Nein)? "
if errorlevel 1 set lions=ja
if errorlevel 2 set lions=nein

if %lions%==nein goto success

cd Vehicles\Man_Lion_City\Sound

if %backup%==ja rename %omsidir%\Vehicles\Man_Lion_City\Sound\request.wav request_BACKUP.wav
copy request.wav %omsidir%\Vehicles\Man_Lion_City\Sound\request.wav /Y

cd ..\Script
if %backup%==ja rename %omsidir%\Vehicles\Man_Lion_City\Script\door_varlist2.txt door_varlist2_BACKUP.txt
copy door_varlist2.txt %omsidir%\Vehicles\Man_Lion_City\Script\door_varlist2.txt /Y

if %backup%==ja rename %omsidir%\Vehicles\Man_Lion_City\Script\IBIS_varlist.txt IBIS_varlist_BACKUP.txt
copy IBIS_varlist.txt %omsidir%\Vehicles\Man_Lion_City\Script\IBIS_varlist.txt /Y

if %backup%==ja rename %omsidir%\Vehicles\Man_Lion_City\Script\IBIS-2.osc IBIS-2_BACKUP.osc
copy IBIS-2.osc %omsidir%\Vehicles\Man_Lion_City\Script\IBIS-2.osc /Y

if %backup%==ja rename %omsidir%\Vehicles\Man_Lion_City\Script\Matrix.osc Matrix_BACKUP.osc
copy Matrix.osc %omsidir%\Vehicles\Man_Lion_City\Script\Matrix.osc /Y

choice /c:MO /m "Variante mit Haltestellenbremse oder ohne fuer den Lions City installieren (Mit/Ohne)? "
if errorlevel 1 set variante=mit
if errorlevel 2 set variante=ohne

if %backup%==ja rename %omsidir%\Vehicles\Man_Lion_City\Script\doordar2.osc doordar2_BACKUP.osc

if %variante%==mit copy doordar2_mit_hstbremse.osc %omsidir%\Vehicles\Man_Lion_City\Script\doordar2.osc /Y
if %variante%==ohne copy doordar2_ohne_hstbremse.osc %omsidir%\Vehicles\Man_Lion_City\Script\doordar2.osc /Y

cd ..\Model

if %backup%==ja rename %omsidir%\Vehicles\Man_Lion_City\Model\passengercabin_Lion.cfg passengercabin_Lion_BACKUP.cfg
copy passengercabin_Lion.cfg %omsidir%\Vehicles\Man_Lion_City\Model\passengercabin_Lion.cfg /Y

if %backup%==ja rename %omsidir%\Vehicles\Man_Lion_City\Model\paths_Lion.cfg paths_Lion_BACKUP.cfg
copy paths_Lion.cfg %omsidir%\Vehicles\Man_Lion_City\Model\paths_Lion.cfg /Y

goto success

:notexists
echo      !!   FEHLER    !!
echo Es fehlen Dateien! Entweder wurde der Mod nicht (richtig) entpackt, oder er ist unvollstaendig!
goto ende

:wrongdir
echo      !!   FEHLER    !!
echo Falsches OMSI-Verzeichnis angegeben!
goto ende

:success
echo .
echo  KOPIERVORGANG ERFOLGREICH ABGESCHLOSSEN!
echo  VIEL SPASS BEIM SPIELEN!
echo .

:ende
echo .
echo -----------------------------
echo             ENDE
echo -----------------------------

pause